
Foreman - Bug #29450

Smart Proxy forces association to all Locations unless Puppet is enabled on the proxy

03/31/2020 07:07 PM - SlickNetAaron please_edit_me

Status: Ready For Testing   

Priority: Normal   

Assignee: Adam Ruzicka   

Category: Organizations and Locations   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases: 1.23.2, 3.7.1

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9976

  

Description

Forum reference: https://community.theforeman.org/t/brand-new-smart-proxy-forces-association-with-almost-all-locations/17934

Problem: When creating a new Smart Proxy, with --puppet-server=false  --foreman-proxy-puppet=false"

--foreman-proxy-puppetca=false, the Smart Proxy gets bound to all Locations except Default Location, cannot assign it solely to the

Location I need. The option to remove unwanted Locations is greyed out with “This is used by a host”.

Expected outcome: Be able to assign the proxy to Locations I select, not all.

Foreman and Proxy versions: 1.23.2

Distribution and version: CentOS 7.7 x86_64

Other relevant data:

If I enable either --foreman-proxy-puppet or --foreman-proxy-puppetca, then the Smart Proxy can be assigned to any Location.

I don't use Puppet, except for foreman-installer

Full foreman-installer command:

foreman-installer \

--scenario foreman-proxy-content \

--certs-tar-file                              "redacted" \

--foreman-proxy-content-parent-fqdn           "redacted" \

--foreman-proxy-register-in-foreman           "true" \

--foreman-proxy-foreman-base-url              "redacted" \

--foreman-proxy-trusted-hosts                 "redacted" \

--foreman-proxy-trusted-hosts                 "redacted" \

--foreman-proxy-oauth-consumer-key            "redacted" \

--foreman-proxy-oauth-consumer-secret         "redacted" \

--puppet-server-foreman-url                   "redacted" \

--foreman-proxy-puppet=false \

--foreman-proxy-puppetca=false \

--foreman-proxy-tftp=false \

--puppet-server=false \

--foreman-proxy-content-enable-deb=true \

--foreman-proxy-content-enable-docker=false \

--foreman-proxy-content-enable-file=false \

--foreman-proxy-content-enable-puppet=false \

--foreman-proxy-content-enable-yum=false \

--foreman-proxy-templates=false

History

#1 - 04/03/2020 08:55 AM - Ewoud Kohl van Wijngaarden

- Project changed from Smart Proxy to Foreman
https://community.theforeman.org/t/brand-new-smart-proxy-forces-association-with-almost-all-locations/17934


- Category changed from Plugins to Organizations and Locations

- Found in Releases 1.23.2 added

I think this is a bug in Foreman rather than the Proxy itself since only Foreman knows about organizations and locations.

#2 - 11/30/2023 03:29 PM - dstephens1980 please_edit_me

- Found in Releases 3.7.1 added

Issue is still present in Foreman v3.7.1

#3 - 11/30/2023 03:39 PM - dstephens1980 please_edit_me

Further info for for v3.7.1:

Newly created Smart Proxies show under Infrastructure -> Smart Proxies as bound to all locations, editing the Smart Proxy here results in the

Locations being greyed out with note "This is used by a host."  Navigating to Administer -> Locations and editing each individual location allows you to

set the Smart Proxies but then the Infrastructure -> Smart Proxies page will randomly show either the Smart Proxies bound to all locations as per the

above issue or will show them bound to their correct locations.  Refreshing (F5) the Smart Proxies page will change what locations are shown as

being bound.  Real world use has shown that once the Administer -> Locations are changed then that location only uses the correct Smart Proxy

regardless of what Infrastructure -> Smart Proxies shows.

#4 - 01/03/2024 05:15 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Adam Ruzicka

- Pull request https://github.com/theforeman/foreman/pull/9976 added
